
!ClassDescription methodsFor: '*si-ob-morphic' stamp: 'mt 6/15/2012 12:01:52.273'!
browserIcon: aClassDescription selector: aSelector
	"Answer an icon to be shown for the selector aSymbol in aClassDescription."

	aClassDescription methodDictionary at: aSelector ifPresent: [ :method |
		method literalsDo: [ :literal |
			(literal == #halt or: [ literal == #halt: or: [ literal == #haltIfNil or: [ literal == #haltIf: or: [ literal == #haltOnce or: [ literal == #haltOnce: or: [ literal == #haltOnCount: or: [ literal == #halt:onCount: ] ] ] ] ] ] ])
				ifTrue: [ ^ #breakpoint ].
			(literal == #flag: or: [ literal == #needsWork or: [ literal == #notYetImplemented ] ])
				ifTrue: [ ^ #flag ].
			"BEGIN: Signal extension"
			literal == #emit
				ifTrue: [^ #signal ].
			literal == #emitAlways
				ifTrue: [^ #signal2 ].
			literal == #emitInOwnerChain
				ifTrue: [^ #signal3 ]
			"END: Signal extension" ] ].
	^ (aClassDescription isOverride: aSelector)
		ifTrue: [
			(aClassDescription isOverridden: aSelector)
				ifTrue: [ #arrowUpAndDown ]
				ifFalse: [ #arrowUp ] ]
		ifFalse: [
			(aClassDescription isOverridden: aSelector)
				ifTrue: [ #arrowDown ]
				ifFalse: [ #blank ] ]! !

!OBMorphicIcons methodsFor: '*si-ob-morphic' stamp: 'mt 6/5/2010 20:56:39.625'!
signal

	^ Form
		fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self signalContents readStream)! !

!OBMorphicIcons methodsFor: '*si-ob-morphic' stamp: 'mt 6/9/2010 09:01:34.529'!
signal2

	^ Form
		fromBinaryStream: (Base64MimeConverter mimeDecodeToBytes: self signal2Contents readStream)! !

!OBMorphicIcons methodsFor: '*si-ob-morphic' stamp: 'mt 6/9/2010 09:01:27.741'!
signal2Contents

	^ 'iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAYAAABWdVznAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAALZJREFUeNpi/P//PwMpgCW94zy6WD0avxFFAxaFDTgMb0TW
UI+kEF0DMr+RCY8kVjEWJNPx2QCXZ4SFEtDzcI1M//8y/QdJMTL9h4nNrDBsRNGgs5ARZqIG
EPsB8RMg3gvEL0GCV+L/Y4QSCCgA8SIgNgHif0C8HYgTgfgNTAGyp0FsMyA2ANkMxMxA7AKy
HMrH0AAy8ToQP0ISewhzEraIA4GbQJwGxGFAzA513l0ghqcfgAADAKZnM8YGNuTNAAAAAElF
TkSuQmCC'! !

!OBMorphicIcons methodsFor: '*si-ob-morphic' stamp: 'mt 6/15/2012 12:02:52.62'!
signal3

	^ self signal2 asGrayScale! !

!OBMorphicIcons methodsFor: '*si-ob-morphic' stamp: 'mt 6/5/2010 20:55:14.196'!
signalContents

	^ 'iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAYAAABWdVznAAAAGXRFWHRTb2Z0d2FyZQBBZG9i
ZSBJbWFnZVJlYWR5ccllPAAAALZJREFUeNpi/P//PwMpgCW94zy6WD0avxFFAxaFDTgMb0TW
UI+kEF0DMr+RCY8kVjEWJNPx2QCXZ4SFEtDzcI1M//8y/QdJMTL9h4nNrDBsRNFw04ERZqIG
EPsB8RMg3gvEL0GC6gf+Y4QSCCgA8SIgNgHif0C8HYgTgfgNTAGyp0FsMyA2ANkMxMxA7ALE
OlA+hgaQideB+BGS2EOYk7BFHNgrQJwGxGFAzA513l0ghqcfgAADAK/nM8Z9MCmQAAAAAElF
TkSuQmCC'! !
